# Create your views here.
from django.shortcuts import render
from django.http import HttpResponse
from PIL import Image
from io import BytesIO # FIXME:
from papiezator.pope_utils import select_best_pope


def index(request):

    return render(request,
            "papiezator/index.html")
    pass

def conclave(request, width, height):
    width, height = int(width), int(height)


    pope = select_best_pope(width, height)

    im = Image.open(pope)
    im = im.resize((width, height))
    f = BytesIO()
    im.save(f, "jpeg")
    f.seek(0)
    return HttpResponse(f.read(), mimetype="image/jpeg")
